import { BaseController } from '../base-controller';
import type { ControllerInterface, ResolvedInputProps, StateAccess } from '../generic-types';
import type { SpinApi } from './api';
export declare class SpinController extends BaseController<SpinApi> implements ControllerInterface<SpinApi> {
    private readonly translateActionRunning;
    private readonly translateActionDone;
    constructor(stateAccess: StateAccess<SpinApi>);
    componentWillLoad(props: ResolvedInputProps<SpinApi>): void;
    watchShow(value?: boolean): void;
    watchLabel(value?: string): void;
    watchVariant(value?: unknown): void;
    handleGetTranslateActionRunning: () => string;
    handleGetTranslateActionDone: () => string;
}
